Bug 962236 - Review Request: f1lt - Unofficial Formula 1 live timing application
Review Request: f1lt - Unofficial Formula 1 live timing application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 17:01 EDT by Antonio Trande
Modified: 2013-06-28 14:55 EDT (History)
6 users (show)

See Also:
Fixed In Version: f1lt-2.0.2-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 20:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dtardon: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2013-05-12 17:01:28 EDT
Spec URL: http://sagitter.fedorapeople.org/F1LT/f1lt.spec
SRPM URL: http://sagitter.fedorapeople.org/F1LT/f1lt-2.0.2-1.fc18.src.rpm


Description: 
F1LT is a free unofficial Formula 1 live timing application written 
for Windows, Linux, Symbian and Android systems. 
It is an alternative application to the java applet available 
on the formula1.com site. To use the application you only need an account 
on the formula1.com site, the same you are using for connecting to Live Timing 
from formula1.com. 

Main features of the application:
 - gathering all live timing data 
 - you can see lap time history of every driver
 - session statistics 
 - fastest laps 
 - fastest pit stops
 - speed records
 - charts
 - lap time comparison tool 
 - allows you to compare lap times of up to 4 drivers at once
 - head to head tool 
 - select two drivers and program will be calculating the gap between them, 
   differences between lap and sector times, drawing lap, position and gap charts.

The desktop version (Windows and Linux) features also:
 - recording and replaying live timing 
 - every session can be recorded and replayed later, 
   very useful tool when watching a replay of the race
 - session analysis tool 
 - to analyse sessions using charts (lap times, positions, gaps)
 - weather charts
 - database with live timing session files avaialable online
 - session times tool 
 - displays table with all times from a session
 - driver tracker 
 - displays drivers positions on a track map and a radar
 - synchronizing live timing with TV coverage
 - gathering driver best times during the GP weekend

Fedora Account System Username: sagitter

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5370222
Comment 1 David Tardon 2013-05-15 06:56:49 EDT
Problems:

1. Missing license headers in the following source files:
    src/core/colorsmanager.cpp
    src/main_gui/eventstatuswidget.cpp
    src/player/ltfilesloader.cpp
    src/player/ltfilesloader.h

2. You must use %{?dist}, not %{dist}. It might not be defined.

3. You need to add dependencies for gtk-update-icon-cache.

Requires(post): gtk2
Requires(postun): gtk2

is the right form, I think.

4. rpmlint found several minor issues: a typo, alternative spelling,
   etc. I will not block the package on these, though.
 Checking: f1lt-2.0.2-1.fc18.x86_64.rpm
 f1lt.x86_64: W: spelling-error %description -l en_US analyse -> analyses, analy st, analyze
 f1lt.x86_64: W: spelling-error %description -l en_US avaialable -> available, v ariable
 f1lt.x86_64: E: description-line-too-long C    differences between lap and sect or times, drawing lap, position and gap charts.
 f1lt.x86_64: W: no-manual-page-for-binary f1lt
 1 packages and 0 specfiles checked; 1 errors, 3 warnings.
Comment 2 Antonio Trande 2013-05-15 16:32:57 EDT
(In reply to comment #1)
> Problems:
> 
> 1. Missing license headers in the following source files:
>     src/core/colorsmanager.cpp
>     src/main_gui/eventstatuswidget.cpp
>     src/player/ltfilesloader.cpp
>     src/player/ltfilesloader.h

Maintainer confirmed me that all files in the source archive are released with GPLv3 license. However, he can provide an update archive.

> 
> 2. You must use %{?dist}, not %{dist}. It might not be defined.

Fixed.

> 
> 3. You need to add dependencies for gtk-update-icon-cache.
> 
> Requires(post): gtk2
> Requires(postun): gtk2
> 
> is the right form, I think.

Fixed.

> 
> 4. rpmlint found several minor issues: a typo, alternative spelling,
>    etc. I will not block the package on these, though.
>  Checking: f1lt-2.0.2-1.fc18.x86_64.rpm
>  f1lt.x86_64: W: spelling-error %description -l en_US analyse -> analyses,
> analy st, analyze
>  f1lt.x86_64: W: spelling-error %description -l en_US avaialable ->
> available, v ariable
>  f1lt.x86_64: E: description-line-too-long C    differences between lap and
> sect or times, drawing lap, position and gap charts.
>  f1lt.x86_64: W: no-manual-page-for-binary f1lt
>  1 packages and 0 specfiles checked; 1 errors, 3 warnings.

Fixed.

Spec URL: http://sagitter.fedorapeople.org/F1LT/f1lt.spec
SRPM URL: http://sagitter.fedorapeople.org/F1LT/f1lt-2.0.2-2.fc18.src.rpm
Comment 3 Germán Racca 2013-05-15 17:48:13 EDT
I'm looking forward to have this package in Fedora ASAP, the applet in the F1 home page is really ugly! :)

Just one comment: you should use the tag %{version} for Source0.

Thanks!
Comment 4 David Tardon 2013-05-16 01:08:56 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- update-desktop-database is invoked when required
  Note: desktop file(s) in f1lt
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- Spec file lacks Packager, Vendor, PreReq tags.
  Note: Found : Packager: David Tardon <dtardon@redhat.com>
  See: (this test has no URL)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/dachjo/work/rpm/962236-f1lt/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in f1lt
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 6266880 bytes in /usr/share 6266880
     f1lt-2.0.2-2.fc20.x86_64.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: f1lt-2.0.2-2.fc20.x86_64.rpm
f1lt.x86_64: W: no-manual-page-for-binary f1lt
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint f1lt
f1lt.x86_64: W: no-manual-page-for-binary f1lt
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
f1lt (rpmlib, GLIBC filtered):
    /bin/sh
    gtk2
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
f1lt:
    f1lt
    f1lt(x86-64)



MD5-sum check
-------------
http://f1lt.googlecode.com/files/f1lt-2.0.2-src.tar.gz :
  CHECKSUM(SHA256) this package     : aa84b97de08f051fbf0acd52904753c298331d9815b3f39f324945aa629024c5
  CHECKSUM(SHA256) upstream package : aa84b97de08f051fbf0acd52904753c298331d9815b3f39f324945aa629024c5


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 962236
Comment 5 Antonio Trande 2013-05-16 12:14:13 EDT
Spec URL: http://sagitter.fedorapeople.org/F1LT/f1lt.spec
SRPM URL: http://sagitter.fedorapeople.org/F1LT/f1lt-2.0.2-3.fc18.src.rpm

- Added %%{source} macro
- All files are now equipped with license header

Thanks David.
Comment 6 Antonio Trande 2013-05-16 12:16:30 EDT
New Package SCM Request
=======================
Package Name: f1lt
Short Description: Unofficial Formula 1 live timing application
Owners: sagitter
Branches: f18 f19
Comment 7 Gwyn Ciesla 2013-05-16 12:25:48 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-05-16 15:22:47 EDT
f1lt-2.0.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/f1lt-2.0.2-3.fc19
Comment 9 Fedora Update System 2013-05-16 15:23:22 EDT
f1lt-2.0.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/f1lt-2.0.2-3.fc18
Comment 10 Fedora Update System 2013-05-17 18:21:11 EDT
f1lt-2.0.2-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-05-26 20:28:50 EDT
f1lt-2.0.2-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-05-26 23:22:51 EDT
f1lt-2.0.2-3.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Antonio Trande 2013-06-28 14:51:51 EDT
Package Change Request
=======================
Package Name: f1lt
Short Description: Unofficial Formula 1 live timing application
Owners: sagitter
Branches: f20
Comment 14 Gwyn Ciesla 2013-06-28 14:55:09 EDT
f20==devel, which exists.

Note You need to log in before you can comment on or make changes to this bug.